[package]
name = "asklyphe-auth-frontend"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
asklyphe-common = { path = "../asklyphe-common" }

tokio = { version = "1.35.1", features = ["full"] }

axum = "0.7.4"

askama = {  version = "0.12.1", features = ["default", "with-axum"] }
askama_axum = "0.4.0"

tracing = "0.1.40"
tracing-subscriber = "0.3.18"
tracing-loki = "0.2.4"

env_logger = "0.11.5"
serde = { version = "1.0", features = ["derive"] }
async-nats = "0.38.0"
rmp-serde = "1.1.2"
ulid = "1.1.0"
futures = "0.3.30"
argon2 = "0.5.3"